<?php



class MunicipiosMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.MunicipiosMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('MUNICIPIOS');
		$tMap->setPhpName('Municipios');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('CODMUN', 'Codmun', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('MUNICIPIO', 'Municipio', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('DEPTO', 'Depto', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 